Bug 166290 - [maintainer][patch] graphics/openjump: update to 1.5.1
Summary: [maintainer][patch] graphics/openjump: update to 1.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-21 07:40 UTC by Rainer Hurling
Modified: 2012-03-27 18:30 UTC (History)
0 users

See Also:


Attachments
file.diff (25.03 KB, patch)
2012-03-21 07:40 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2012-03-21 07:40:17 UTC
Update to OpenJUMP 1.5.1. This brings some new features

- using PLUS tarball with numerous plugins and extensions
- reactivate java version checking
- PostGIS plugin postgresql-9.0-801.jdbc3.jar included

It seemed necessary to me to change the name of the database entry for the installed port from openjump to OpenJUMP. The binary itself is continued to be named '/usr/local/bin/openjump'.

Fix: Patch attached with submission follows:
Comment 1 Jason Helfman freebsd_committer 2012-03-23 06:48:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-03-27 18:22:18 UTC
jgh         2012-03-27 17:22:09 UTC

  FreeBSD ports repository

  Modified files:
    graphics/openjump    Makefile distinfo pkg-plist 
    graphics/openjump/files patch-bin__oj_linux.sh 
  Log:
  - Update to 1.5.1, follow upstream rename to OpenJUMP
  - reactivate java version checking
  - while here move licenses into license framework
  
  PR:     ports/166290
  Submitted by:   maintainer, rhurlin@gwdg.de
  Feature safe:   yes
  
  Revision  Changes    Path
  1.5       +34 -15    ports/graphics/openjump/Makefile
  1.4       +2 -2      ports/graphics/openjump/distinfo
  1.2       +10 -22    ports/graphics/openjump/files/patch-bin__oj_linux.sh
  1.4       +350 -66   ports/graphics/openjump/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2012-03-27 18:22:38 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!